Subject: How to encourage interest in Science/chemistry

From: [email-masked] (Joe M Leonard)
Date: Tue, 7 Apr 1998 11:02:29 -0400

Folks,

It seems a good friend of mine has a rather precocious 5th grader
who is interested in science.  This is something to be nurtured,
so I would like to ask whether anybody has any suggestions for books,
web sites, etc. which are suitable for young people and capture the
spark of science (chemistry, physics or the life sciences).  I have
read a number of books which I thought did the trick, but I do not
want anything which will appear too "weighty" or dry...

I appreciate any thoughts you might have on this!

Joe Leonard
[email-masked]